/* Base styles ================ */

html {
  box-sizing: border-box;
  min-width: 300px;
  min-height: 100vh;
  font-size: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -ms-overflow-style: scrollbar;

  @media screen and (max-width: 318px) {
    overflow-x: auto;
  }
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  min-height: 100vh;
  margin: 0 auto;
  background-color: var(--body-background);
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}

.page {
  display: flex;
  flex-direction: column;
}

.page--locked {
  overflow: hidden;
}

.page__header {
  flex-shrink: 0;
}

.page__wrapper {
  flex-grow: 1;
  padding-top: var(--header-height);
}

.page__footer {
  flex-shrink: 0;
}

ul,
ol {
  padding-left: 0;
  margin: 0;
  list-style: none;
}

img,
video {
  max-width: 100%;
  height: auto;
}

input,
textarea {
  -webkit-overflow-scrolling: touch;
}

address {
  font-style: normal;
}

input:not([type = "checkbox"]):not([type = "radio"]),
textarea,
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

input[type = "text"],
input[type = "number"],
select,
textarea {
  font-size: 16px;
}

mark {
  background-color: transparent;
  font-weight: var(--text-font-weight-bold);
  color: var(--color-primary);
}
/* ================ end base styles */
